Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.fo.properties
Class CommonAural

    java.lang.Object
      org.apache.fop.fo.properties.CommonAural

    public class CommonAural

extends java.lang.Object

Stores all common aural properties. See Sec. 7.6 of the XSL-FO Standard. Public "structure" allows direct member access.

Field Summary
`int` | `azimuth` The "azimuth" property.
`java.lang.String` | `cueAfter` The "cueAfter" property.
`java.lang.String` | `cueBefore` The "cueBefore" property.
`int` | `elevation` The "elevation" property.
`int` | `pauseAfter` The "pauseAfter" property.
`int` | `pauseBefore` The "pauseBefore" property.
`int` | `pitch` The "pitch" property.
`int` | `pitchRange` The "pitch-range" property.
`int` | `playDuring` The "playDuring" property.
`int` | `richness` The "richness" property.
`int` | `speak` The "speak" property.
`int` | `speakHeader` The "speak-header" property.
`int` | `speakNumeral` The "speak-numeral" property.
`int` | `speakPunctuation` The "speak-punctuation" property.
`int` | `speechRate` The "speech-rate" property.
`int` | `stress` The "stress" property.
`int` | `voiceFamily` The "voice-family" property.
`int` | `volume` The "volume" property.

Constructor Summary
`CommonAural(PropertyList pList)` Create a CommonAbsolutePosition object.

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### azimuth

    public int azimuth

  The "azimuth" property.

### cueAfter

    public java.lang.String cueAfter

  The "cueAfter" property.

### cueBefore

    public java.lang.String cueBefore

  The "cueBefore" property.

### elevation

    public int elevation

  The "elevation" property.

### pauseAfter

    public int pauseAfter

  The "pauseAfter" property.

### pauseBefore

    public int pauseBefore

  The "pauseBefore" property.

### pitch

    public int pitch

  The "pitch" property.

### pitchRange

    public int pitchRange

  The "pitch-range" property.

### playDuring

    public int playDuring

  The "playDuring" property.

### richness

    public int richness

  The "richness" property.

### speak

    public int speak

  The "speak" property.

### speakHeader

    public int speakHeader

  The "speak-header" property.

### speakNumeral

    public int speakNumeral

  The "speak-numeral" property.

### speakPunctuation

    public int speakPunctuation

  The "speak-punctuation" property.

### speechRate

    public int speechRate

  The "speech-rate" property.

### stress

    public int stress

  The "stress" property.

### voiceFamily

    public int voiceFamily

  The "voice-family" property.

### volume

    public int volume

  The "volume" property.

Constructor Detail

### CommonAural

    public CommonAural(PropertyList pList)

  Create a CommonAbsolutePosition object.

  Parameters:
    `pList` - The PropertyList with propery values.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2016 The Apache Software Foundation. All Rights Reserved.